Create new update
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referenceId": "9409b6d8-cde5-45f1-b8e1-e756847a7077",
"updateTypeId": "a49c6124-fb23-4976-8400-9afd9018bc85",
"update": "Optional text to the users can be included here",
"remindedAt": "2024-05-01 00:00:00.000+01"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/updates"
payload = {
"referenceId": "9409b6d8-cde5-45f1-b8e1-e756847a7077",
"updateTypeId": "a49c6124-fb23-4976-8400-9afd9018bc85",
"update": "Optional text to the users can be included here",
"remindedAt": "2024-05-01 00:00:00.000+01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referenceId: '9409b6d8-cde5-45f1-b8e1-e756847a7077',
updateTypeId: 'a49c6124-fb23-4976-8400-9afd9018bc85',
update: 'Optional text to the users can be included here',
remindedAt: '2024-05-01 00:00:00.000+01'
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateId": "56e93ac4-a89d-422a-b2da-5ed5a052477d"
}Updates
Create update
Create new update allows the api consumer to create new updates
POST
/
v1
/
{tenantId}
/
updates
Create new update
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the update is related to
Body
application/json
New update object
The updates' reference. Typically a caseId.
The id of the type. An overview of type id's can be found under settings in Debbie Caseworker.
A note attached to the update.
When should the user get notified about the update? Defaults to now.
When should the case be paused? Defaults to now.
When should the update be continued? Default to null.
Response
Successful operation
Id of the created update
⌘I